#!/bin/sh

# Create a new context for the negotiation
./abac_client.py create --cert=emulab.pem --transport=soap \
	--trace \
	--url=http://localhost:8443/axis2/services/feddABACPort \
	--file=/usr/local/tomcat5.5/webapps/axis/WEB-INF/geni.txt
# Run the negotiation with an access request
./abac_client.py access --cert=emulab.pem --transport=soap \
	--trace \
	--url=http://localhost:8443/axis2/services/feddABACPort \
	--context_id=0 --goal='GENI:GENI.CTFaccess<<---Alice' 
# Test a two part negoitation
./abac_client.py access --cert=emulab.pem --transport=soap \
	--trace --url=http://localhost:8443/axis2/services/feddABACPort \
	--context_id=0 --goal='GENI:GENI.CTFaccess<<---Alice' \
	--srcURL=https://localhost:8443/axis2/services/feddABACPort \
	--dstContext=1 \
	--dstURL=https://localhost:8443/axis2/services/feddABACPort

